/**
 * Institute of Communication and Computer Systems (ICCS)
 * i-sense Research Group
 */
package gr.iccs.isense.circ4life.rest.resources;

import javax.ws.rs.Path;

import gr.iccs.isense.circ4life.rest.RecycleModule;
import gr.iccs.isense.circ4life.utils.ManifestAccess;

/**
 * REST end-point for Web Service information.
 *
 * @author Miltiadis Koutsokeras, miltos.koutsokeras@iccs.gr
 */
@Path("info")
public class Information extends AbstractInformation {
	/*
	 * (non-Javadoc)
	 *
	 * @see gr.iccs.isense.circ4life.rest.resources.AbstractInformation#getVersion()
	 */
	@Override
	protected String getVersion() {
		// Get the version from MANIFEST, Maven has stored it there.
		return ManifestAccess.getVersionFromManifest(RecycleModule.class);
	}
}
